package com.seeyon.utils.form;

import com.seeyon.cap4.form.bean.FormFieldBean;
import com.seeyon.cap4.form.bean.FormTableBean;

import java.util.Map;

public class TableContext {

    private final FormTableBean tableBean;
    private final String tableName;
    private final Map<String, FormFieldBean> fieldMap;

    public TableContext(FormTableBean tableBean) {
        this.tableBean = tableBean;
        this.tableName = tableBean.getTableName();
        this.fieldMap = tableBean.getFieldMap4Name();
    }

    public FormTableBean getTableBean() { return tableBean; }
    public String getTableName() { return tableName; }
    public Map<String, FormFieldBean> getFieldMap() { return fieldMap; }
}
